# hobo - portal to configure and deploy applications
# Copyright (C) 2015-2019  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import url

from . import views

urlpatterns = [
    url(r'^$', views.HomeView.as_view(), name='environment-home'),
    url(r'^variables$', views.VariablesView.as_view(), name='environment-variables'),
    url(r'^new-variable$', views.VariableCreateView.as_view(), name='new-variable',),
    url(r'^update-variable/(?P<pk>\w+)$', views.VariableUpdateView.as_view(),
        name='update-variable'),
    url(r'^delete-variable/(?P<pk>\w+)$', views.VariableDeleteView.as_view(),
        name='delete-variable'),
    url(r'^check_operational/(?P<service>\w+)/(?P<slug>[\w-]+)$',
        views.operational_check_view, name='operational-check'),
    url(r'^new-(?P<service>\w+)$', views.ServiceCreateView.as_view(), name='create-service'),
    url(r'^save-(?P<service>\w+)/(?P<slug>[\w-]+)$', views.ServiceUpdateView.as_view(), name='save-service'),
    url(r'^delete-(?P<service>\w+)/(?P<slug>[\w-]+)$', views.ServiceDeleteView.as_view(), name='delete-service'),

    url(r'^new-variable-(?P<service>\w+)/(?P<slug>[\w-]+)$',
        views.VariableCreateView.as_view(), name='new-variable-service',),

    url(r'^import/$', views.ImportView.as_view(), name='environment-import'),
    url(r'^export/$', views.ExportView.as_view(), name='environment-export'),
    url(r'^debug.json$', views.debug_json, name='debug-json'),
]
