from django.core.exceptions import ValidationError
from django.utils.translation import gettext_lazy as _

from hobo.environment.models import ServiceBase


def validate_service_url(url):
    service = ServiceBase(title='dummy', base_url=url)
    if not service.is_resolvable():
        raise ValidationError(
            _('Error: %(url)s is not resolvable'),
            code='not-resolvable',
            params={'url': url}
        )
    if not service.has_valid_certificate():
        raise ValidationError(
            _('Error: %(url)s has no valid certificate'),
            code='invalid-certificate',
            params={'url': url}
        )
