# hobo - portal to configure and deploy applications
# Copyright (C) 2015-2018  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.db import connection
import django.utils.log


class AdminEmailHandler(django.utils.log.AdminEmailHandler):
    def format_subject(self, subject):
        from .models import Tenant
        subject = super(AdminEmailHandler, self).format_subject(subject)
        try:
            subject = '[%s] %s' % (connection.get_tenant().domain_url, subject)
        except AttributeError:
            pass
        return subject
