function init_attributes_list()
{
  if ($('#attributes-list').length == 0)
    return;
  $('#attributes-list').sortable({
     handle: '.handle',
     stop: function(event, ui) {
       var new_order = $('#attributes-list div').map(function() { return $(this).data('attribute-id'); }).get().join();

       $.ajax({
           url: $('#attributes-list').data('reorder-url'),
           data: {'new-order': new_order},
           success: function(data, status) {
             $('#attributes-list').replaceWith($(data).find('#attributes-list'));
             init_attributes_list();
           }
       });
     }
  });
}

$(function() {
  init_attributes_list();

  $('h4.custom-variables').on('click', function() {
    $(this).toggleClass('untoggled').toggleClass('toggled');
  });

  $('body').delegate('#profile-form-content #id_name', 'change', function() {
    $(this).data('_changed', true);
  });

  $('body').delegate('#profile-form-content #id_label', 'keyup', function() {
    var $id_name = $('#id_name');
    if ($id_name.length == 0) return;
    if ($id_name.val().length == 0) {
      $id_name.data('_changed', false);
    }
    if ($id_name.data('_changed')) return;
    $id_name.val(URLify($(this).val()).replace(/-/g, '_').substring(0, 50));
  });
});
