from django.db import connection


def test_xforwardedfor(settings, tenants, client):
    settings.USE_X_FORWARDED_FOR = True
    for tenant in tenants:
        settings.ALLOWED_HOSTS.append(tenant.domain_url)
        response = client.get('/', SERVER_NAME=tenant.domain_url,
                           HTTP_X_FORWARDED_FOR='99.99.99.99, 127.0.0.1')
        assert '99.99.99.99' in response.content.decode()
    connection.set_schema_to_public()
    settings.USE_X_FORWARDED_FOR = False
    for tenant in tenants:
        response = client.get('/', SERVER_NAME=tenant.domain_url,
                           HTTP_X_FORWARDED_FOR='99.99.99.99, 127.0.0.1')
        assert not '99.99.99.99' in response.content.decode()
