import os

from mock import mock_open, patch

from django.utils.six.moves import builtins

# Debian defaults
DEBUG = False

PROJECT_NAME = 'passerelle'

#
# hobotization (multitenant)
#
open_backup = open
with patch.object(builtins, 'open', mock_open(read_data=b'xxx')):
    exec(open_backup(os.environ['DEBIAN_CONFIG_COMMON']).read())

BRANCH_NAME = os.environ.get("BRANCH_NAME", "").replace('/', '-')
DATABASES['default']['TEST'] = {
    'NAME': DATABASES['default']['NAME'] + '-%s' % BRANCH_NAME,
}

# Avoid conflic with real tenants
# that might exist in /var/lib/passerelle/tenants
TENANT_BASE = '/that/path/does/not/exist'

# suds logs are buggy
LOGGING['loggers']['suds'] = {
        'level': 'ERROR',
        'handlers': ['mail_admins'],
        'propagate': True,
}
LOGGING['handlers']['debug']['filename'] = 'debug.log'
